export * from "./LevelNames";
export * from "./Level";
export * from "./LevelSelection";
export * from "./Tutorial";

import { LevelNames } from ".";
import { LevelSelection, Tutorial, Level } from ".";

export const LEVELS: Level[] = [new LevelSelection(), new Tutorial()];
export const LEVEL_PROGRESSION: Record<string, string[]> = {
  [LevelNames.LevelSelection]: [LevelNames.Tutorial],
};
